Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.extension
Class JifIfExt

    java.lang.Object
      polyglot.ast.Ext_c
          jif.ast.Jif_c
              jif.extension.JifStmtExt_c
                  jif.extension.JifIfExt

All Implemented Interfaces:
  java.lang.Cloneable, Jif, JifStmtExt, polyglot.ast.Ext, polyglot.util.Copy

    public class JifIfExt

extends JifStmtExt_c

The Jif extension of the `If` node.

See Also:
  `If`

Field Summary

Fields inherited from class jif.extension.JifStmtExt_c
`stmtDel`

Fields inherited from class jif.ast.Jif_c
`toJava, X`

Fields inherited from class polyglot.ast.Ext_c
`ext, node`

Constructor Summary
`JifIfExt(ToJavaExt toJava)`

Method Summary
`protected static void` | `extendContext(LabelChecker lc, JifContext A, polyglot.ast.Expr e, boolean warn)`
`protected static void` | `extendFact(LabelChecker lc, JifContext A, polyglot.ast.Binary b, boolean warn)`
`protected static void` | `extendFact(LabelChecker lc, JifContext A, polyglot.ast.Expr e, boolean warn)`
`polyglot.ast.Node` | `labelCheckStmt(LabelChecker lc)`

Methods inherited from class jif.extension.JifStmtExt_c
`copy, init, labelCheck, stmtDel, stmtDel`

Methods inherited from class jif.ast.Jif_c
`checkAndRemoveThrowType, checkThrowTypes, getPathMap, integerBoundsCalculated, toJava, toJava, updatePathMap, X, X`

Methods inherited from class polyglot.ast.Ext_c
`dump, ext, ext, node, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Ext
`dump, ext, ext, node`

Constructor Detail

### JifIfExt

    public JifIfExt(ToJavaExt toJava)

Method Detail

### labelCheckStmt

    public polyglot.ast.Node labelCheckStmt(LabelChecker lc)
                                     throws polyglot.types.SemanticException

  Specified by:
    `labelCheckStmt` in interface `JifStmtExt`
  Specified by:
    `labelCheckStmt` in class `JifStmtExt_c`
  Throws:
    `polyglot.types.SemanticException`

### extendContext

    protected static void extendContext(LabelChecker lc,
                                        JifContext A,
                                        polyglot.ast.Expr e,
                                        boolean warn)
                                 throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

### extendFact

    protected static void extendFact(LabelChecker lc,
                                     JifContext A,
                                     polyglot.ast.Expr e,
                                     boolean warn)
                              throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

### extendFact

    protected static void extendFact(LabelChecker lc,
                                     JifContext A,
                                     polyglot.ast.Binary b,
                                     boolean warn)
                              throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD